<?php

namespace Cli\Commands;

use Cli\Assets\Console;

class Commands
{
    use Console;

    /**
     * @var array
     */
    private $args = [];

    /**
     * Commands constructor.
     * @param array $args
     */
    public function __construct(array $args)
    {
        $this->args = $args;
    }

    /**
     * Handle console command
     */
    public function handle()
    {
        $name = $this->ask('What is your name? ');

        $this->success('Succcess: Hello ' . $name);
        $this->warning('Warning: Hello ' . $name);
        $this->error('Error: Hello ' . $name);
    }

}